QGIS Application - Bug report #21651
Adding TIN Interpolation to new Processing Modeler causes error
2019-03-22 03:06 AM - Roy Kittrell

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29467
Description

When | drag TIN Interpolation into a new Processing Modeler window; | get the following error every time:

An error has occurred while executing Python code:

NameError: name 'QgsDoubleSpinBox' is not defined
Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\modeler\ModelerDialog.py", line 331, in dropEvent
self._addAlgorithm(alg, event.pos())
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\modeler\ModelerDialog.py", line 798, in _addAlgorithm
dlg = ModelerParametersDialog(alg, self.model)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 97, in init
self.setupUi()
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 173, in setupUi
wrapper = WidgetWrapperFactory.create_wrapper(param, self)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 1837, in create_wrapper
return WidgetWrapperFactory.create_wrapper_from_metadata(param, dialog, row, col)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 1871, in create_wrapper_from_metadata
wrapper = wrapper(param, dialog, row, col, *params)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\algs\qgis\ui\lnterpolationWidgets.py", line 356, in init
super()._init__(param, dialog, row, col, **kwargs)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 165, in init
self.widget = self.createWidget(*kwargs)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\processing\algs\qgis\ui\lnterpolationWidgets.py", line 366, in createWidget
w = QgsDoubleSpinBox()
NameError: name 'QgsDoubleSpinBox' is not defined

Python version: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]
QGIS version: 3.6.0-Noosa Noosa, 58734527ab

Python Path:
C:/Users/rkittrell/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\LAStools
C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python
C:/Users/rkittrell/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/rkittrell/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins

c:\bgitools\lib

c:\bgitools\bin

C:\Program Files\QGIS 3.6\bin\python37.zip
C:\PROGRA~1\QGIS3~1.6\apps\Python37\DLLs
C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib

C:\Program Files\QGIS 3.6\bin

C:\PROGRA~1\QGIS3~1.6\apps\Python37
C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages
C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\win32
C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\win32\lib
C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\Pythonwin
C:/Users/rkittrell/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:\Users\rkittrelNAppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\mmaqgis/forms
C:\Users\rkittrel\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

C:/Users/rkittrell/Dropbox/Bell Geospace/GIS/Timor Leste

History

#1 - 2019-03-22 06:06 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master already
